Loading...
Searching...
No Matches
fileextendedattribute_probe.c File Reference

fileextendedattribute probe More...

`#include "_seap.h"`
`#include <probe-api.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/stat.h>`
`#include <pthread.h>`
`#include <errno.h>`
`#include <limits.h>`
`#include <sys/types.h>`
`#include <probe/probe.h>`
`#include <probe/option.h>`
`#include "probe/entcmp.h"`
`#include "oval_fts.h"`
`#include "common/debug_priv.h"`
`#include "fileextendedattribute_probe.h"`
Include dependency graph for fileextendedattribute_probe.c:

## Data Structures

struct | cbargs

## Macros

#define | PATH_MAX 4096
#define | FILE_SEPARATOR '/'

## Functions

int | fileextendedattribute_probe_offline_mode_supported ()
void * | fileextendedattribute_probe_init (void)
void | fileextendedattribute_probe_fini (void *arg)
int | fileextendedattribute_probe_main (probe_ctx *ctx, void *mutex)

## Detailed Description

fileextendedattribute probe

Author
  "Daniel Kopecek" dkope.nosp@m.cek@.nosp@m.redha.nosp@m.t.co.nosp@m.m